Skip to main content
GET
/
public
/
workspaces
List workspaces
curl --request GET \
  --url https://api.userplane.io/api/v1/public/workspaces \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "data": {
    "workspaces": [
      {
        "workspaceId": "<string>",
        "workspaceName": "<string>",
        "createdAt": "<unknown>",
        "updatedAt": "<unknown>",
        "workspaceMembership": {
          "workspaceMemberId": "<string>",
          "workspaceJoinedAt": "<unknown>"
        }
      }
    ],
    "total": 4503599627370495,
    "pagination": {
      "page": 123,
      "perPage": 123,
      "total": 4503599627370495,
      "totalPages": 4503599627370495,
      "hasMore": true
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.userplane.io/llms.txt

Use this file to discover all available pages before exploring further.

Returns a paginated list of workspaces the authenticated user belongs to.

Errors

This endpoint only returns common authentication errors.

Get Workspace

Retrieve details for a specific workspace

Get Current User

Your profile and aggregate stats

List Projects

Projects within a workspace

Pagination

Page-based pagination for list endpoints

Authorizations

Authorization
string
header
required

API key with uspl_ prefix. Create keys at dash.userplane.io/_/account?tab=developers

Query Parameters

page
integer
default:1
required
Required range: x <= 9007199254740991
per_page
integer
default:10
required
Required range: 1 <= x <= 20
include_workspace_membership
boolean
default:false
required

Response

OK

message
string
required
data
object
required